function getcolumns(setdrawer) {
    return [
        {
            title: "用户名",
            dataIndex: "accountName",
            key: "accountName",
            formItemProps: { rules: [{ required: true, message: '此项为必填项' }] }
        },
        {
            title: "姓名",
            dataIndex: "userName",
            key: "userName",
            formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            render:(_,row)=>{
                return <a className="table-cell" onClick={()=>{
                    setdrawer(s=>{
                        return {
                            ...s,
                            open:true,
                            title:`${row.userName}详情`,
                            detailpath:'/ta_wms_auth/sysUser/query/detail',
                            val:'detail',
                            item:row
                        }
                    })
                }} >{row.userName}</a>
            }
        },
        {
            title: "联系电话",
            dataIndex: "telephone",
            key: "telephone"
        },
        {
            title: '组织',
            dataIndex: 'departmentName',
            key: 'departmentId',
            searchValueType:'input',
            searchKey:'departmentName',
            valueType: 'treeSelect',
            fieldProps: {
                placeholder: '请选择'
            },
            formItemProps: {
                rules: [
                    {
                        required: true,
                        message: '此项为必填项',
                    },
                ],
            },
            options: {
                path: '/ta_wms_auth/sysDepartment/query/tree',
                params:{}
            },
            span:3
        },
        {
            title: '工厂',
            dataIndex: 'factoryName',
            key: 'factoryIdList',
            valueType: 'select',
            searchValueType:'input',
            searchKey:'factoryName',
            fieldProps: {
                placeholder: '请选择',
                mode: 'multiple',
            },
            formItemProps: {
                rules: [
                    {
                        required: true,
                        message: '此项为必填项',
                    },
                ],
            },
            options: {
                path: '/ta_wms_auth/sysFactory/selectionBoxAll',
                params:{}
            },
            span:3
        },
        {
            title: '负责仓库',
            dataIndex: 'chargeStoreName',
            key: 'storeIdList',
            valueType: 'select',
            searchValueType:'input',
            searchKey:'chargeStoreName',
            fieldProps: {
                placeholder: '请选择',
                mode: 'multiple',
            },
            options: {
                path: '/ta_wms_auth/sysStore/selectionBoxAll',
                params:{}
            },
            span:3
        },
        {
            title: '角色配置',
            dataIndex: 'roleName',
            key: 'roleIdList',
            valueType: 'select',
            fieldProps: {
                placeholder: '请选择',
                mode: 'multiple',
            },
            options: {
                path: '/ta_wms_auth/sysRole/queryAllSelectList',
                params:{}
            },
            hideInSearch:true,
            span:3
        },
        {
            title: '直属领导',
            dataIndex: 'parentName',
            key: 'parentId',
            valueType: 'select',
            fieldProps: {
                placeholder: '请选择'
            },
            options: {
                path: '/ta_wms_auth/sysUser/queryParentSelectionByUserId',
                params:{}
            },
            hideInTable:true,
            hideInSearch:true
        },
        {
            title: "邮箱",
            dataIndex: "mailNo",
            key: "mailNo",
            hideInSearch:true,
            hideInTable:true,
            span:2
        },
        {
            title: "备注",
            dataIndex: "remark",
            key: "remark",
            hideInSearch: true,
            valueType: 'textarea',
            hideInTable:true
        }
    ];
}

export default getcolumns;